<?php
if ( ! defined( 'ABSPATH' ) ) { exit; }

class GW_Elementor_Tracker {

    public function __construct() {
        add_action( 'wp_enqueue_scripts', [ $this, 'enqueue_tracker' ] );
    }

    public function enqueue_tracker() {
        // USAMOS GW_PLUGIN_URL PARA APUNTAR A LA RAÍZ
        wp_enqueue_script(
            'gw-frontend-tracker',
            GW_PLUGIN_URL . 'assets/js/frontend-tracker.js',
            [],
            '2.1.0',
            true
        );
    }
}
